#Options +FollowSymLinks +ExecCGI
<IfModule mod_rewrite.c>
RewriteEngine On
# admin 
RewriteRule ^js/(.*)$ - [L]
RewriteRule ^admin/(.*)$ - [L]
RewriteRule ^install/(.*)$ - [L]
# d + c + p
RewriteRule ^([a-zA-Z0-9_-]+)/([a-zA-Z0-9_-]+)/([a-zA-Z0-9_-]+\.html)$ index.php?d=$1&c=$2&p=$3 [L]
# d + c
RewriteRule ^([a-zA-Z0-9_-]+)/([a-zA-Z0-9_-]+)/?$ index.php?d=$1&c=$2 [L]
RewriteRule ^([a-zA-Z0-9_-]+)/([a-zA-Z0-9_-]+)?$ index.php?d=$1&c=$2 [L]
# d + p
RewriteRule ^([a-zA-Z0-9_-]+)/([a-zA-Z0-9_-]+\.html)$ index.php?d=$1&p=$2 [L]
# d
RewriteRule ^([a-zA-Z0-9_-]+)?/$ index.php?d=$1 [L]
RewriteRule ^([a-zA-Z0-9_-]+)?$ index.php?d=$1 [L]
# p
RewriteRule ^([a-zA-Z0-9_-]+\.html)$ index.php?p=$1 [L]
</IfModule>
